Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class ChartInfo

    java.lang.Object
      jet.report.xls.ChartInfo

    public class ChartInfo

extends java.lang.Object

Contains the information of chart in the file.

Field Summary
`static short` | `MONOCHROIC` The data points have the same color value.
`static short` | `VARIED` The colors for the data points are varied.

Constructor Summary
`ChartInfo()` Creates a `ChartInfo` object.
`ChartInfo(float x, float y, float width, float height, ChartTypeInfo chartTypeInfo, ChartLabelInfo xAxisName, ChartLabelInfo yAxisName, ChartLabelInfo zAxisName, ChartLabelInfo chartTitle, LegendInfo legendInfo, ChartLocInfo chartLocInfo, ChartAreaInfo chartAreaInfo, short chartFormat, GlobalWorksheet gws)` Constructs class ChartInfo and sets its fields appropriately.

Method Summary
`ChartAreaInfo` | `getChartAreaInfo()` Gets the information of chart area.
`short` | `getChartFormat()` Gets chart format 1 for varied color for each data point, 0 for monochroic.
`ChartLocInfo` | `getChartLocInfo()` Gets the information of chart location.
`ChartLabelInfo` | `getChartTitle()` Gets the title of chart.
`ChartTypeInfo` | `getChartTypeInfo()` Gets the information of chart type.
`int` | `getFirstAxisSeriesSize()` Gets the series number of the first axis.
`float` | `getHeight()` Gets the height of chart.
`LegendInfo` | `getLegendInfo()` Gets the information of chart legend.
`ChartPaperInfo` | `getPaperInfo()` Gets the information of chart paper.
`int` | `getSecondSeriesSize()` Gets the series number of the second axis.
`float` | `getWidth()` Gets the width of chart.
`float` | `getX()` Gets the x position of chart.
`ChartLabelInfo` | `getXAxisName()` Gets the x axis name of chart.
`int` | `getXIfmt()` Gets the x axis format index.
`float` | `getY()` Gets the y position of chart.
`int` | `getY2Ifmt()` Gets the y2 axis format index.
`int` | `getY2ScaleUnit()` Gets the y2 axis scale unit.
`ChartLabelInfo` | `getYAxisName()` Gets the y axis name of chart.
`int` | `getYIfmt()` Gets the y axis format index.
`int` | `getYScaleUnit()` Gets the y axis scale unit.
`ChartLabelInfo` | `getZAxisName()` Gets the z axis name of chart.
`int` | `getZIfmt()` Gets the z axis format index.
`void` | `setChartAreaInfo(ChartAreaInfo chartAreaInfo)` Sets the information of chart area.
`void` | `setChartFormat(short chartFormat)` Sets chart format 1 for varied color for each data point, 0 for monochroic.
`void` | `setChartLocInfo(ChartLocInfo chartLocInfo)` Sets the information of chart location.
`void` | `setChartTitle(ChartLabelInfo chartTitle)` Sets the title of chart.
`void` | `setChartTypeInfo(ChartTypeInfo chartTypeInfo)` Sets the information of chart type.
`void` | `setHeight(float height)` Sets the height of chart.
`void` | `setLegendInfo(LegendInfo legendInfo)` Sets the information of chart legend.
`void` | `setPaperInfo(ChartPaperInfo paperInfo)` Sets the information of chart paper.
`void` | `setWidth(float width)` Sets the width of chart.
`void` | `setX(float x)` Sets the x position of chart.
`void` | `setXAxisName(ChartLabelInfo xAxisName)` Sets the x axis name of chart.
`void` | `setXIfmt(int index)` Sets the x axis format index.
`void` | `setY(float y)` Sets the y position of chart.
`void` | `setY2Ifmt(int index)` Sets the y2 axis format index.
`void` | `setY2ScaleUnit(int scale)` Sets the y2 axis scale unit.
`void` | `setYAxisName(ChartLabelInfo yAxisName)` Sets the y axis name of chart.
`void` | `setYIfmt(int index)` Sets the y axis format index.
`void` | `setYScaleUnit(int scale)` Sets the y axis scale unit.
`void` | `setZAxisName(ChartLabelInfo zAxisName)` Sets the z axis name of chart.
`void` | `setZIfmt(int index)` Sets the z axis format index.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MONOCHROIC

    public static final short MONOCHROIC

  The data points have the same color value.

  See Also:
    Constant Field Values

### VARIED

    public static final short VARIED

  The colors for the data points are varied.

  See Also:
    Constant Field Values

Constructor Detail

### ChartInfo

    public ChartInfo()

  Creates a `ChartInfo` object.

### ChartInfo

    public ChartInfo(float x,
                     float y,
                     float width,
                     float height,
                     ChartTypeInfo chartTypeInfo,
                     ChartLabelInfo xAxisName,
                     ChartLabelInfo yAxisName,
                     ChartLabelInfo zAxisName,
                     ChartLabelInfo chartTitle,
                     LegendInfo legendInfo,
                     ChartLocInfo chartLocInfo,
                     ChartAreaInfo chartAreaInfo,
                     short chartFormat,
                     GlobalWorksheet gws)

  Constructs class ChartInfo and sets its fields appropriately.

  Parameters:
    `x` - the x-position of the upper-left corner
    `y` - the y-position of the upper-left corner
    `width` - width of the chart
    `height` - height of the chart
    `chartTypeInfo` - the information of the chart type
    `xAxisName` - name of x axis
    `yAxisName` - name of y axis
    `zAxisName` - name of z axis
    `chartTitle` - title of the chart
    `legendInfo` - the information of legend
    `chartLocInfo` - the information of chart location
    `chartAreaInfo` - the chart area info
    `chartFormat` - identifies if the chart is multicolor or not
    `gws` - the `GlobalWorksheet` object `MONOCHROIC` `VARIED`

Method Detail

### getFirstAxisSeriesSize

    public int getFirstAxisSeriesSize()

  Gets the series number of the first axis.

  Returns:
    the series number

### getSecondSeriesSize

    public int getSecondSeriesSize()

  Gets the series number of the second axis.

  Returns:
    0 for one axis type

### setX

    public void setX(float x)

  Sets the x position of chart.

  Parameters:
    `x` - the x position of chart

### getX

    public float getX()

  Gets the x position of chart.

  Returns:
    the x position of chart

### setY

    public void setY(float y)

  Sets the y position of chart.

  Parameters:
    `y` - the y position of chart

### getY

    public float getY()

  Gets the y position of chart.

  Returns:
    the y position of chart

### setWidth

    public void setWidth(float width)

  Sets the width of chart.

  Parameters:
    `width` - the width of chart

### getWidth

    public float getWidth()

  Gets the width of chart.

  Returns:
    the width of chart

### setHeight

    public void setHeight(float height)

  Sets the height of chart.

  Parameters:
    `height` - the height of chart

### getHeight

    public float getHeight()

  Gets the height of chart.

  Returns:
    the height of chart

### setChartTypeInfo

    public void setChartTypeInfo(ChartTypeInfo chartTypeInfo)

  Sets the information of chart type.

  Parameters:
    `chartTypeInfo` - the information of chart type

### getChartTypeInfo

    public ChartTypeInfo getChartTypeInfo()

  Gets the information of chart type.

  Returns:
    the information of chart type

### getXAxisName

    public ChartLabelInfo getXAxisName()

  Gets the x axis name of chart.

  Returns:
    the x axis name of chart

### setXAxisName

    public void setXAxisName(ChartLabelInfo xAxisName)

  Sets the x axis name of chart.

  Parameters:
    `xAxisName` - the x axis name of chart

### getYAxisName

    public ChartLabelInfo getYAxisName()

  Gets the y axis name of chart.

  Returns:
    the y axis name of chart

### setYAxisName

    public void setYAxisName(ChartLabelInfo yAxisName)

  Sets the y axis name of chart.

  Parameters:
    `yAxisName` - the y axis name of chart

### getZAxisName

    public ChartLabelInfo getZAxisName()

  Gets the z axis name of chart.

  Returns:
    the z axis name of chart

### setZAxisName

    public void setZAxisName(ChartLabelInfo zAxisName)

  Sets the z axis name of chart.

  Parameters:
    `zAxisName` - the z axis name of chart

### getChartTitle

    public ChartLabelInfo getChartTitle()

  Gets the title of chart.

  Returns:
    the title of chart

### setChartTitle

    public void setChartTitle(ChartLabelInfo chartTitle)

  Sets the title of chart.

  Parameters:
    `chartTitle` - the title of chart

### setLegendInfo

    public void setLegendInfo(LegendInfo legendInfo)

  Sets the information of chart legend.

  Parameters:
    `legendInfo` - the information of chart legend

### getLegendInfo

    public LegendInfo getLegendInfo()

  Gets the information of chart legend.

  Returns:
    the information of chart legend

### setChartLocInfo

    public void setChartLocInfo(ChartLocInfo chartLocInfo)

  Sets the information of chart location.

  Parameters:
    `chartLocInfo` - the information of chart location

### getChartLocInfo

    public ChartLocInfo getChartLocInfo()

  Gets the information of chart location.

  Returns:
    the information of chart location

### setChartAreaInfo

    public void setChartAreaInfo(ChartAreaInfo chartAreaInfo)

  Sets the information of chart area.

  Parameters:
    `chartAreaInfo` - the information of chart area

### getChartAreaInfo

    public ChartAreaInfo getChartAreaInfo()

  Gets the information of chart area.

  Returns:
    the information of chart area

### setPaperInfo

    public void setPaperInfo(ChartPaperInfo paperInfo)

  Sets the information of chart paper.

  Parameters:
    `paperInfo` - the information of chart paper

### getPaperInfo

    public ChartPaperInfo getPaperInfo()

  Gets the information of chart paper.

  Returns:
    the information of chart paper

### setChartFormat

    public void setChartFormat(short chartFormat)

  Sets chart format 1 for varied color for each data point, 0 for monochroic.

  Parameters:
    `chartFormat` - the chart format `MONOCHROIC` `VARIED`

### getChartFormat

    public short getChartFormat()

  Gets chart format 1 for varied color for each data point, 0 for monochroic. `MONOCHROIC` `VARIED`

  Returns:
    chart format 1 for varied color for each data point, 0 for monochroic

### setXIfmt

    public void setXIfmt(int index)

  Sets the x axis format index.

  Parameters:
    `index` - the x axis format index

### getXIfmt

    public int getXIfmt()

  Gets the x axis format index.

  Returns:
    the x axis format index

### setYIfmt

    public void setYIfmt(int index)

  Sets the y axis format index.

  Parameters:
    `index` - the y axis format index

### getYIfmt

    public int getYIfmt()

  Gets the y axis format index.

  Returns:
    the y axis format index

### setY2Ifmt

    public void setY2Ifmt(int index)

  Sets the y2 axis format index.

  Parameters:
    `index` - the y2 axis format index

### getY2Ifmt

    public int getY2Ifmt()

  Gets the y2 axis format index.

  Returns:
    the y2 axis format index

### setZIfmt

    public void setZIfmt(int index)

  Sets the z axis format index.

  Parameters:
    `index` - the z axis format index

### getZIfmt

    public int getZIfmt()

  Gets the z axis format index.

  Returns:
    the z axis format index

### setYScaleUnit

    public void setYScaleUnit(int scale)

  Sets the y axis scale unit.

  Parameters:
    `scale` - the y axis scale unit

### getYScaleUnit

    public int getYScaleUnit()

  Gets the y axis scale unit.

  Returns:
    the y axis scale unit

### setY2ScaleUnit

    public void setY2ScaleUnit(int scale)

  Sets the y2 axis scale unit.

  Parameters:
    `scale` - the y2 axis scale unit

### getY2ScaleUnit

    public int getY2ScaleUnit()

  Gets the y2 axis scale unit.

  Returns:
    the y2 axis scale unit

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD